#pragma once

#include	"Core/GameState.h"

// forward declaration of classes
class	CAliens;

// end-state class is derived from CGameState
class CStateEnd : public CGameState
{
public:
	// constructor / destructor
	CStateEnd();
	~CStateEnd();

	// inherited via CGameState
	EGameState Run(float fFrameTime);
	void Reset();

private:
	friend class CSpaceShooterApp;

	// text id for 'game start' text
	int			m_iGameOverTxtID = 0;

	// reference of CAliens class-pointer
	CAliens*	m_refAliens = 0L;
};
